## dumpasn1 20101112

=== Makefile ===
all: dumpasn1

dumpasn1: dumpasn1.c
	gcc -o dumpasn1 -DDEBIAN dumpasn1.c

install:
	cp dumpasn1 $(DESTDIR)/usr/bin/
	cp dumpasn1.cfg $(DESTDIR)/etc/dumpasn1/

clean:
	rm -f *.o *~

distclean: clean
	rm -f dumpasn1

## dumpasn1 20120521

=== debian/changelog ===
dumpasn1 (20120521-1) unstable; urgency=low

  * New upstream release: 20120521
  * Really use hardening flags.
    Thanks to Simon Ruderich for patch. Closes: #672709
  * Remove d/patches/bug429961.patch another fix has been applied upstream.
  * Apply patch to get UNICODE printing working. Closes: #348856
  * d/rules fix clean rule

 -- Mathieu Malaterre <malat@debian.org>  Wed, 13 Jun 2012 11:11:47 +0200

dumpasn1 (20101112-2) unstable; urgency=low

  * Take over dumpasn1 maintenance. Closes: #672300
    Thanks Pierre Habouzit for the hard work !
  * Move to collab-maint (svn). Update VCS urls
  * Add Homepage in d/control
  * Bump Std-Vers to 3.9.3, no changes needed
  * Fix Off-By-One overflow. Closes: #429961
  * Use hardening flags (d/compat: 9)

 -- Mathieu Malaterre <malat@debian.org>  Fri, 11 May 2012 18:42:50 +0200

dumpasn1 (20101112-1) unstable; urgency=low

  * New upstream release (Closes: #610934):
     + Large numbers are now printed properly (Closes: #573813).
  * Migrate to dh 8.
  * Bump standards version to 3.9.1.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 19 Mar 2011 09:49:14 +0100

dumpasn1 (20030222-3) unstable; urgency=low

  * QA upload.
  * Set Maintainer to QA Group. The previous Maintainer email is
    bouncing.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 10 Jan 2008 09:25:41 +0100

dumpasn1 (20030222-2) unstable; urgency=low

  * change maintainer in debian/control to debian address

 -- Oliver Kurth <oku@debian.org>  Mon, 05 Sep 2005 12:25:48 -0700

dumpasn1 (20030222-1) unstable; urgency=low

  * new upstream version.
  * fix directory permissions (closes: #239718)

 -- Oliver Kurth <oku@debian.org>  Fri, 16 Apr 2004 15:54:40 +0200

dumpasn1 (20021007-1) unstable; urgency=low

  * new upstream version.
  * added a man page.

 -- Oliver Kurth <oku@masqmail.cx>  Tue, 15 Oct 2002 22:36:52 +0200

dumpasn1 (20020612-1) unstable; urgency=low

  * Initial Release.

 -- Oliver Kurth <oku@masqmail.cx>  Mon,  2 Sep 2002 17:13:04 +0200

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel

dumpasn1: dumpasn1.o
	$(CC) -o dumpasn1 dumpasn1.o $(CFLAGS) $(LDFLAGS)

dumpasn1.o: dumpasn1.c
	$(CC) -o dumpasn1.o -DDEBIAN $(CPPFLAGS) $(CFLAGS) -c dumpasn1.c

override_dh_auto_build: dumpasn1

override_dh_clean:
	dh_clean dumpasn1.o

override_dh_install:
	dh_install dumpasn1 $(DESTDIR)/usr/bin/
	dh_install dumpasn1.cfg $(DESTDIR)/etc/dumpasn1/

get-orig-source:
	./debian/get-orig-source

debian/dumpasn1.1: debian/dumpasn1.1.xml
	xmltoman $< > $@

## dumpasn1 20130608

=== debian/changelog ===
dumpasn1 (20130608-1) unstable; urgency=low

  * New upstream release: 20130608
  * Refresh patches
  * Redo man page generation (use help2man)

 -- Mathieu Malaterre <malat@debian.org>  Mon, 09 Dec 2013 11:31:19 +0100

=== debian/control ===
Source: dumpasn1
Section: utils
Priority: optional
Maintainer: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 9)
Homepage: http://www.cs.auckland.ac.nz/~pgut001/
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/dumpasn1/trunk/
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/dumpasn1/trunk
Standards-Version: 3.9.3

Package: dumpasn1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ASN.1 object dump program
 An ASN.1 object dump program which will dump data encoded using any of the
 ASN.1 encoding rules in a variety of user-specified formats.
 .
 dumpasn1 employs a user-editable configuration file dumpasn1.cfg which
 provides information on ASN.1 object identifiers. Currently it covers all known
 security-related OIDs.

=== debian/rules ===
--- 
+++ 
@@ -22,5 +22,11 @@
 get-orig-source:
 	./debian/get-orig-source
 
-debian/dumpasn1.1: debian/dumpasn1.1.xml
-	xmltoman $< > $@
+#debian/dumpasn1.1: debian/dumpasn1.1.xml
+#	xmltoman $< > $@
+
+VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
+debian/dumpasn1.1: debian/dumpasn1.1.in
+	help2man --include=$< --output=$@ \
+		--name="ASN.1 object dump/syntax check program" \
+		--no-info `basename $@ .1` --version-string=$(VER_FULL)

## dumpasn1 20150808

=== debian/changelog ===
dumpasn1 (20150808-3) unstable; urgency=medium

  * Really fix segfaults on valid certificate. Closes: #840771 

 -- Mathieu Malaterre <malat@debian.org>  Thu, 20 Oct 2016 09:18:29 +0200

dumpasn1 (20150808-2) unstable; urgency=medium

  * Fix segfaults on valid certificate. Closes: #840771 
  * Bump Std-Vers to 3.9.8, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 19 Oct 2016 20:33:47 +0200

dumpasn1 (20150808-1) unstable; urgency=medium

  * New upstream release: 20150808. Closes: #773000
  * Remove patch applied upstream: d/p/fixprintf.patch
  * Bump Std-Vers to 3.9.7, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Thu, 03 Mar 2016 21:32:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Build-Depends: debhelper (>= 9)
 Homepage: http://www.cs.auckland.ac.nz/~pgut001/
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/dumpasn1/trunk/
-Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/dumpasn1/trunk
-Standards-Version: 3.9.3
+Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/dumpasn1/trunk
+Standards-Version: 3.9.8
 
 Package: dumpasn1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: ASN.1 object dump program
  An ASN.1 object dump program which will dump data encoded using any of the
  ASN.1 encoding rules in a variety of user-specified formats.

## dumpasn1 20170309

=== debian/changelog ===
dumpasn1 (20170309-1) unstable; urgency=medium

  * New upstream release. Closes: #855569
  * Bump Std-Vers to 4.1.0, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 20 Sep 2017 20:41:48 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: http://www.cs.auckland.ac.nz/~pgut001/
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/dumpasn1/trunk/
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/dumpasn1/trunk
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 
 Package: dumpasn1
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,6 @@
 get-orig-source:
 	./debian/get-orig-source
 
-#debian/dumpasn1.1: debian/dumpasn1.1.xml
-#	xmltoman $< > $@
-
 VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
 debian/dumpasn1.1: debian/dumpasn1.1.in
 	help2man --include=$< --output=$@ \

## dumpasn1 20191022

=== debian/changelog ===
dumpasn1 (20191022-2) unstable; urgency=medium

  * d/rules: Make sure to build man page during build
  * d/control: Bump Std-Vers to 4.5.0 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Thu, 07 May 2020 21:59:15 +0200

dumpasn1 (20191022-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Seed CC from dpkg's buildtools.mk. (Closes: #929643)

  [ Mathieu Malaterre ]
  * New upstream version 20191022. Closes: #943856
  * d/control: Update to new salsa location
  * d/control: Bump Std-Vers to 4.4.1, no changes needed
  * d/patches: Refresh patches

 -- Mathieu Malaterre <malat@debian.org>  Wed, 06 Nov 2019 12:26:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Mathieu Malaterre <malat@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9), help2man
 Homepage: http://www.cs.auckland.ac.nz/~pgut001/
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/dumpasn1/trunk/
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/dumpasn1/trunk
-Standards-Version: 4.1.0
+Vcs-Git: https://salsa.debian.org/debian/dumpasn1.git
+Vcs-Browser: https://salsa.debian.org/debian/dumpasn1
+Standards-Version: 4.5.0
 
 Package: dumpasn1
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+
+-include /usr/share/dpkg/buildtools.mk
 
 %:
 	dh $@ --parallel
@@ -15,7 +17,7 @@
 override_dh_clean:
 	dh_clean dumpasn1.o
 
-override_dh_install:
+override_dh_install: debian/dumpasn1.1
 	dh_install dumpasn1 $(DESTDIR)/usr/bin/
 	dh_install dumpasn1.cfg $(DESTDIR)/etc/dumpasn1/
 
@@ -26,4 +28,4 @@
 debian/dumpasn1.1: debian/dumpasn1.1.in
 	help2man --include=$< --output=$@ \
 		--name="ASN.1 object dump/syntax check program" \
-		--no-info `basename $@ .1` --version-string=$(VER_FULL)
+		--no-info ./`basename $@ .1` --version-string=$(VER_FULL)

## dumpasn1 20210212

=== debian/changelog ===
dumpasn1 (20210212-3) unstable; urgency=medium

  * d/rules: Fix logic flaw in valgrind handling

 -- Mathieu Malaterre <malat@debian.org>  Thu, 27 Jan 2022 16:59:00 +0100

dumpasn1 (20210212-2) unstable; urgency=medium

  * d/control: Do not run valgrind autotest on all archs

 -- Mathieu Malaterre <malat@debian.org>  Thu, 27 Jan 2022 16:01:12 +0100

dumpasn1 (20210212-1) unstable; urgency=medium

  * New upstream version 20210212
  * d/patches: Remove patches applied upstream
  * d/control: Bump Std-Vers to 4.6.0, no changes needed
  * d/control: Reset Vcs-Git to main location
  * d/control: Run wrap-and-sort

 -- Mathieu Malaterre <malat@debian.org>  Wed, 15 Dec 2021 14:38:31 +0100

dumpasn1 (20200928-0.1) experimental; urgency=medium

  * Non-maintainer upload
  * New upstream release
  * use https:// in debian-specific files
  * move to idiomatic dh 13
  * bump standards-version to 4.5.1 (no changes needed)
  * Rules-Requires-Root: no
  * add hardening features
  * build and clean up generated manpage
  * d/copyright: move to DEP 5
  * drop unneeded files from debian/
  * wrap-and-sort -ast
  * add tests (both build-time and autopkgtest) covering certificates
    with UTF8Strings and BMPStrings
  * get-orig-source: avoid using deprecated $GZIP env var
  * refresh and consolidate patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 24 May 2021 14:13:11 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Mathieu Malaterre <malat@debian.org>
-Build-Depends: debhelper (>= 9), help2man
-Homepage: http://www.cs.auckland.ac.nz/~pgut001/
+Build-Depends: debhelper-compat (= 13),
+               help2man,
+               valgrind [amd64 arm64 armhf i386 ppc64el s390x powerpc ppc64] <!nocheck>
+Homepage: https://www.cs.auckland.ac.nz/~pgut001/
 Vcs-Git: https://salsa.debian.org/debian/dumpasn1.git
 Vcs-Browser: https://salsa.debian.org/debian/dumpasn1
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 
 Package: dumpasn1
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

VALGRIND_ARCHS=amd64 arm64 armhf i386 ppc64el s390x powerpc ppc64

-include /usr/share/dpkg/buildtools.mk

%:
	dh $@

dumpasn1: dumpasn1.o
	$(CC) -o dumpasn1 dumpasn1.o $(CFLAGS) $(LDFLAGS)

dumpasn1.o: dumpasn1.c
	$(CC) -o dumpasn1.o -DDEBIAN $(CPPFLAGS) $(CFLAGS) -c dumpasn1.c

override_dh_auto_build: dumpasn1 debian/dumpasn1.1

override_dh_auto_test: dumpasn1
ifeq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH),$(VALGRIND_ARCHS)))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/tests/unicode-strings ./dumpasn1
	debian/tests/bmp-strings ./dumpasn1
endif
else
	echo "Arch $(DEB_BUILD_ARCH) cannot run valgrind test"
endif

debian/control: debian/control.in
	sed -e "s/@VALGRIND_ARCHS@/$(VALGRIND_ARCHS)/g" $< > $@

get-orig-source:
	./debian/get-orig-source

VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
debian/dumpasn1.1: debian/dumpasn1.1.in dumpasn1
	help2man --include=$< --output=$@ \
		--name="ASN.1 object dump/syntax check program" \
		--no-info ./`basename $@ .1` --version-string=$(VER_FULL)

=== debian/tests/control ===
Tests: unicode-strings, bmp-strings
Depends: valgrind, @
Restrictions: allow-stderr
